### Function

# Gio AppInfo get_all

#### Declaration [src]

    GList*
    g_app_info_get_all (
      void
    )

#### Description [src]

Gets a list of all of the applications currently registered on this system.

For desktop files, this includes applications that have `NoDisplay=true` set or are excluded from display by means of `OnlyShowIn` or `NotShowIn`. See `g_app_info_should_show()`.

The returned list does not include applications which have the `Hidden` key set.

#### Return value

Type: A list of `GAppInfo*`

A newly allocated list of references to `GAppInfo`s.

The caller of the function takes ownership of the data, and is responsible for freeing it.